> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-update-ref-tables.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/validators/validator-faucets

> For every argument that is a valid onboarded validator, return
statistics on its liveness activity, according to on-ledger state at the
time of the request.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/validators/validator-faucets
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/validators/validator-faucets:
    get:
      tags:
        - external
        - scan
      summary: GET /v0/validators/validator-faucets
      description: |
        For every argument that is a valid onboarded validator, return
        statistics on its liveness activity, according to on-ledger state at the
        time of the request.
      operationId: getValidatorFaucetsByValidator
      parameters:
        - name: validator_ids
          in: query
          required: true
          description: >
            A list of validator party IDs, one per specification of the
            parameter.

            Any party IDs not matching onboarded validators will be ignored
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetValidatorFaucetsByValidatorResponse'
        '400':
          $ref: '#/components/responses/400'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    GetValidatorFaucetsByValidatorResponse:
      type: object
      required:
        - validatorsReceivedFaucets
      properties:
        validatorsReceivedFaucets:
          description: |
            Statistics for any party ID arguments found to have valid onboarding
            licenses; the order in the response is unrelated to argument order.
          type: array
          items:
            $ref: '#/components/schemas/ValidatorReceivedFaucets'
    ValidatorReceivedFaucets:
      type: object
      required:
        - validator
        - numRoundsCollected
        - numRoundsMissed
        - firstCollectedInRound
        - lastCollectedInRound
      properties:
        validator:
          description: The party ID of the onboarded validator
          type: string
        numRoundsCollected:
          description: |
            how many rounds the validator has received a faucet for; guaranteed
            that collected + missed = last - first + 1
          type: integer
          format: int64
        numRoundsMissed:
          description: |
            how many rounds between firstCollected and lastCollected in which
            the validator failed to collect (i.e. was not active or available);
            can at most be max(0, lastCollected - firstCollected - 1).
          type: integer
          format: int64
        firstCollectedInRound:
          description: |
            the round number when this validator started collecting faucets;
            the validator definitely recorded liveness in this round
          type: integer
          format: int64
        lastCollectedInRound:
          description: >
            The most recent round number in which the validator collected a
            faucet;

            the validator definitely recorded liveness in this round.  Will
            equal

            `firstCollected` if the validator has collected in only one round
          type: integer
          format: int64
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '400':
      description: bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````